| Kea 3.0.2-git

request.h File Reference
`#include <hooks/callout_handle_associate.h>`
`#include <http/basic_auth.h>`
`#include <http/http_message.h>`
`#include <http/request_context.h>`
`#include <boost/shared_ptr.hpp>`
`#include <cstdint>`
Include dependency graph for request.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::HttpRequest
| Represents HTTP request message. More...
class | isc::http::HttpRequestError
| Generic exception thrown by HttpRequest class. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef boost::shared_ptr< HttpRequest > | isc::http::HttpRequestPtr
| Pointer to the HttpRequest object.